Package org.eclipse.m2m.atl.emftvm.impl

## Class ModelDeclarationImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.ModelDeclarationImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ModelDeclaration`

    public class ModelDeclarationImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements ModelDeclaration

An implementation of the model object 'Model Declaration'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `META_MODEL_NAME_EDEFAULT` The default value of the '`Meta Model Name`' attribute.
`protected java.lang.String` `metaModelName` The cached value of the '`Meta Model Name`' attribute.
`protected static java.lang.String` `MODEL_NAME_EDEFAULT` The default value of the '`Model Name`' attribute.
`protected java.lang.String` `modelName` The cached value of the '`Model Name`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ModelDeclarationImpl()` Creates a new `ModelDeclarationImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetInoutModelFor​(Module newInoutModelFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetInputModelFor​(Module newInputModelFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetOutputModelFor​(Module newOutputModelFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`Module` `getInoutModelFor()` Returns the value of the 'Inout Model For' container reference.
`Module` `getInputModelFor()` Returns the value of the 'Input Model For' container reference.
`java.lang.String` `getMetaModelName()` Returns the value of the 'Meta Model Name' attribute.
`java.lang.String` `getModelName()` Returns the value of the 'Model Name' attribute.
`Module` `getOutputModelFor()` Returns the value of the 'Output Model For' container reference.
`void` `setInoutModelFor​(Module newInoutModelFor)` Sets the value of the '`Inout Model For`' container reference.
`void` `setInputModelFor​(Module newInputModelFor)` Sets the value of the '`Input Model For`' container reference.
`void` `setMetaModelName​(java.lang.String newMetaModelName)` Sets the value of the '`Meta Model Name`' attribute.
`void` `setModelName​(java.lang.String newModelName)` Sets the value of the '`Model Name`' attribute.
`void` `setOutputModelFor​(Module newOutputModelFor)` Sets the value of the '`Output Model For`' container reference.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### MODEL_NAME_EDEFAULT

    protected static final java.lang.String MODEL_NAME_EDEFAULT

The default value of the '`Model Name`' attribute.

See Also:
  `getModelName()`

#### modelName

    protected java.lang.String modelName

The cached value of the '`Model Name`' attribute.

See Also:
  `getModelName()`

#### META_MODEL_NAME_EDEFAULT

    protected static final java.lang.String META_MODEL_NAME_EDEFAULT

The default value of the '`Meta Model Name`' attribute.

See Also:
  `getMetaModelName()`

#### metaModelName

    protected java.lang.String metaModelName

The cached value of the '`Meta Model Name`' attribute.

See Also:
  `getMetaModelName()`

### Constructor Detail

#### ModelDeclarationImpl

    protected ModelDeclarationImpl()

Creates a new `ModelDeclarationImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getModelName

    public java.lang.String getModelName()

Returns the value of the 'Model Name' attribute.

If the meaning of the 'Model Name' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getModelName` in interface `ModelDeclaration`
Returns:
  the value of the 'Model Name' attribute.
See Also:
  `ModelDeclaration.setModelName(String)`, `EmftvmPackage.getModelDeclaration_ModelName()`

#### setModelName

    public void setModelName​(java.lang.String newModelName)

Sets the value of the '`Model Name`' attribute.

Specified by:
  `setModelName` in interface `ModelDeclaration`
Parameters:
  `newModelName` - the new value of the 'Model Name' attribute.
See Also:
  `ModelDeclaration.getModelName()`

#### getMetaModelName

    public java.lang.String getMetaModelName()

Returns the value of the 'Meta Model Name' attribute.

If the meaning of the 'Meta Model Name' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getMetaModelName` in interface `ModelDeclaration`
Returns:
  the value of the 'Meta Model Name' attribute.
See Also:
  `ModelDeclaration.setMetaModelName(String)`, `EmftvmPackage.getModelDeclaration_MetaModelName()`

#### setMetaModelName

    public void setMetaModelName​(java.lang.String newMetaModelName)

Sets the value of the '`Meta Model Name`' attribute.

Specified by:
  `setMetaModelName` in interface `ModelDeclaration`
Parameters:
  `newMetaModelName` - the new value of the 'Meta Model Name' attribute.
See Also:
  `ModelDeclaration.getMetaModelName()`

#### getInputModelFor

    public Module getInputModelFor()

Returns the value of the 'Input Model For' container reference. It is bidirectional and its opposite is '`Input Models`'.

If the meaning of the 'Input Model For' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getInputModelFor` in interface `ModelDeclaration`
Returns:
  the value of the 'Input Model For' container reference.
See Also:
  `ModelDeclaration.setInputModelFor(Module)`, `EmftvmPackage.getModelDeclaration_InputModelFor()`, `Module.getInputModels()`

#### basicSetInputModelFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetInputModelFor​(Module newInputModelFor,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

#### setInputModelFor

    public void setInputModelFor​(Module newInputModelFor)

Sets the value of the '`Input Model For`' container reference.

Specified by:
  `setInputModelFor` in interface `ModelDeclaration`
Parameters:
  `newInputModelFor` - the new value of the 'Input Model For' container reference.
See Also:
  `ModelDeclaration.getInputModelFor()`

#### getInoutModelFor

    public Module getInoutModelFor()

Returns the value of the 'Inout Model For' container reference. It is bidirectional and its opposite is '`Inout Models`'.

If the meaning of the 'Inout Model For' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getInoutModelFor` in interface `ModelDeclaration`
Returns:
  the value of the 'Inout Model For' container reference.
See Also:
  `ModelDeclaration.setInoutModelFor(Module)`, `EmftvmPackage.getModelDeclaration_InoutModelFor()`, `Module.getInoutModels()`

#### basicSetInoutModelFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetInoutModelFor​(Module newInoutModelFor,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setInoutModelFor(Module)`

#### setInoutModelFor

    public void setInoutModelFor​(Module newInoutModelFor)

Sets the value of the '`Inout Model For`' container reference.

Specified by:
  `setInoutModelFor` in interface `ModelDeclaration`
Parameters:
  `newInoutModelFor` - the new value of the 'Inout Model For' container reference.
See Also:
  `ModelDeclaration.getInoutModelFor()`

#### getOutputModelFor

    public Module getOutputModelFor()

Returns the value of the 'Output Model For' container reference. It is bidirectional and its opposite is '`Output Models`'.

If the meaning of the 'Output Model For' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getOutputModelFor` in interface `ModelDeclaration`
Returns:
  the value of the 'Output Model For' container reference.
See Also:
  `ModelDeclaration.setOutputModelFor(Module)`, `EmftvmPackage.getModelDeclaration_OutputModelFor()`, `Module.getOutputModels()`

#### basicSetOutputModelFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetOutputModelFor​(Module newOutputModelFor,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setOutputModelFor(Module)`

#### setOutputModelFor

    public void setOutputModelFor​(Module newOutputModelFor)

Sets the value of the '`Output Model For`' container reference.

Specified by:
  `setOutputModelFor` in interface `ModelDeclaration`
Parameters:
  `newOutputModelFor` - the new value of the 'Output Model For' container reference.
See Also:
  `ModelDeclaration.getOutputModelFor()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`